# - Config to retrieve all components of the ignition-gazebo5 package
#
# This should only be invoked by ignition-gazebo5-config.cmake.
#
# To retrieve this meta-package, use:
# find_package(ignition-gazebo5 COMPONENTS all)
#
# This creates the target ignition-gazebo5::all which will link to all known
# components of ignition-gazebo5, including the core library.
#
# This also creates the variable ignition-gazebo5_ALL_LIBRARIES
#
################################################################################

cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(ignition-gazebo5_ALL_CONFIG_INCLUDED)
  return()
endif()
set(ignition-gazebo5_ALL_CONFIG_INCLUDED TRUE)

if(NOT ignition-gazebo5-all_FIND_QUIETLY)
  message(STATUS "Looking for all libraries of ignition-gazebo5 -- found version 5.4.0")
endif()


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ignition-all-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/ignition-gazebo5-all" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Get access to the find_dependency utility
include(CMakeFindDependencyMacro)

# Find the core library
find_dependency(ignition-gazebo5 5.4.0 EXACT)

# Find the component libraries
find_dependency(ignition-gazebo5-rendering 5.4.0 EXACT)
find_dependency(ignition-gazebo5-gui 5.4.0 EXACT)
find_dependency(ignition-gazebo5-ackermann-steering-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-air-pressure-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-altimeter-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-apply-joint-force-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-linearbatteryplugin-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-breadcrumbs-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-buoyancy-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-collada-world-exporter-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-contact-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-camera-video-recorder-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-detachable-joint-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-diff-drive-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-elevator-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-follow-actor-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-hydrodynamics-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-imu-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-joint-controller-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-joint-position-controller-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-joint-state-publisher-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-joint-trajectory-controller-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-kinetic-energy-monitor-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-lift-drag-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-log-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-log-video-recorder-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-logicalaudiosensorplugin-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-logical-camera-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-magnetometer-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-model-photo-shoot-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-mecanum-drive-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-multicopter-motor-model-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-multicopter-control-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-odometry-publisher-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-opticaltactileplugin-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-particle-emitter-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-particle-emitter2-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-performer-detector-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-physics-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-pose-publisher-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-scene-broadcaster-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-sensors-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-thermal-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-thermal-sensor-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-thruster-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-touchplugin-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-track-controller-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-tracked-vehicle-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-triggered-publisher-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-user-commands-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-velocity-control-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-wheel-slip-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-wind-effects-system 5.4.0 EXACT)
find_dependency(ignition-gazebo5-ign 5.4.0 EXACT)

if(NOT TARGET ignition-gazebo5::ignition-gazebo5-all)
  include("${CMAKE_CURRENT_LIST_DIR}/ignition-gazebo5-all-targets.cmake")

  add_library(ignition-gazebo5::all INTERFACE IMPORTED)
  set_target_properties(ignition-gazebo5::all PROPERTIES
    INTERFACE_LINK_LIBRARIES "ignition-gazebo5::ignition-gazebo5-all")

endif()

# Create the "requested" target if it does not already exist
if(NOT TARGET ignition-gazebo5::requested)
  add_library(ignition-gazebo5::requested INTERFACE IMPORTED)
endif()

# Link the "all" target to the "requested" target
get_target_property(ign_requested_components ignition-gazebo5::requested INTERFACE_LINK_LIBRARIES)
if(NOT ign_requested_components)
  set_target_properties(ignition-gazebo5::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "ignition-gazebo5::ignition-gazebo5-all")
else()
  set_target_properties(ignition-gazebo5::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "${ign_requested_components};ignition-gazebo5::ignition-gazebo5-all")
endif()

set(ignition-gazebo5_ALL_LIBRARIES ignition-gazebo5::ignition-gazebo5-all)
